Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 674668 (CVE-2018-20651) - <sys-devel/binutils-2.31.1-r5: invalid memory address dereference in elf_link_add_object_symbols
Summary: <sys-devel/binutils-2.31.1-r5: invalid memory address dereference in elf_link...
Status: RESOLVED FIXED
Alias: CVE-2018-20651
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://sourceware.org/bugzilla/show_...
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-06 11:17 UTC by D'juan McDonald (domhnall)
Modified: 2019-08-03 11:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2019-01-06 11:17:11 UTC
(https://nvd.nist.gov/vuln/detail/CVE-2018-20651):
A NULL pointer dereference was discovered in elf_link_add_object_symbols in elflink.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.31.1. This occurs for a crafted ET_DYN with no program headers. A specially crafted ELF file allows remote attackers to cause a denial of service, as demonstrated by ld.

PR 24041
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=54025d5812ff100f5f0654eb7e1ffd50f2e37f5f 


Gentoo Security Padawan
(domhnall)
Comment 1 Andreas K. Hüttel gentoo-dev 2019-03-24 21:24:30 UTC
will be in 2.31.1 patchlevel 6
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2019-03-27 23:33:41 UTC
Maintainer(s), please advise if you are ready for stabilization or call for stabilization yourself.
Comment 3 Andreas K. Hüttel gentoo-dev 2019-06-06 14:30:38 UTC
All affected versions are gone or masked. @security please proceed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2019-08-03 11:23:51 UTC
This issue was resolved and addressed in
 GLSA 201908-01 at https://security.gentoo.org/glsa/201908-01
by GLSA coordinator Aaron Bauman (b-man).